## org.apache.lucene.analysis.snowball
Class SnowballFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.snowball.SnowballFilter

    public class SnowballFilter

extends TokenFilter

A filter that stems words using a Snowball-generated stemmer. Available stemmers are listed in `net.sf.snowball.ext`. The name of a stemmer is the part of the class name before "Stemmer", e.g., the stemmer in `EnglishStemmer` is named "English".

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`SnowballFilter(TokenStream in, String name)` Construct the named stemming filter.

Method Summary
`Token` `next()` Returns the next input Token, after being stemmed

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SnowballFilter

    public SnowballFilter(TokenStream in,
                          String name)

  Construct the named stemming filter.

  Parameters:
    `in` - the input tokens to stem
    `name` - the name of a stemmer

Method Detail

### next

    public final Token next()
                     throws IOException

  Returns the next input Token, after being stemmed

  Overrides:
    `next` in class `TokenStream`
  Throws:
    `IOException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.